Bug 208737 - Review Request: ivman - Generic handler for HAL events
Review Request: ivman - Generic handler for HAL events
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-10-01 05:11 EDT by Patrice Dumas
Modified: 2009-02-01 14:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-05 21:45:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-10-01 05:11:29 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/ivman.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/ivman-0.6.12-1.src.rpm

Ivman is a generic handler for HAL events. Originally for automounting,
it can now be used to run arbitrary commands when events or conditions
occur or properties are modified on your hardware (e.g., run a command
when you close your laptop's lid, run a command when a particular device
is attached or a particular CD is inserted, etc).

To be able to mount devices automatically as a user, you should also
install gnome-mount and/or pmount.
Comment 1 Kevin Fenzi 2006-10-03 01:11:13 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (QPL/GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
031c763d6acc927bf2fefd7c6140247d  ivman-0.6.12.tar.bz2
031c763d6acc927bf2fefd7c6140247d  ivman-0.6.12.tar.bz2.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.


 - Should include License or ask upstream to include it.
 - Should build in mock.


1. rpmlint says:

W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename
W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename
W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename

I think this is rpmlint getting confused. The pid file looks
correct to me. You might doublecheck it.

2. I take it this is targeted for fc6?
dbus-glib-devel doesn't exist in fc5.

Everything else looks good... this package is APPROVED.
Don't forget to close this NEXTRELEASE once it's been imported and built.

Comment 2 Patrice Dumas 2006-10-03 04:23:59 EDT
(In reply to comment #1)

> 1. rpmlint says:
> W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename
> W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename
> W: ivman incoherent-subsys /etc/rc.d/init.d/ivman $servicename
> I think this is rpmlint getting confused. The pid file looks
> correct to me. You might doublecheck it.

Indeed rpmlint is confused by $servicename, however it is pointed 
out in rpmlint -i that it is a common false positive, and $servicename
is indeed ivman.

> 2. I take it this is targeted for fc6?
> dbus-glib-devel doesn't exist in fc5.

This should work in fc5 too. What is the package owning
on fc5?

I intend to do these modifications to ivman:

* ship an autostart file, /etc/xdg/autostart/ivman-autostart.desktop
to start ivman for freedesktop compliant window managers, except
for the environments known to do the automounting themselves
(with a NotShowIn=XFCE;KDE;GNOME;)

* In the targeted environments, where ivman would be automatically 
started, there is no easy way to remember to unmount devices
(no icon appearing when a usb key is plugged). So I would like
to have all the mounts performed by ivman be mounted with the 
sync option, to be more reliable, at the expense of efficiency.

Does this sounds good to you?

It is imported, built, owners.list is updated.
Comment 3 Mamoru TASAKA 2006-10-03 05:15:57 EDT
One comment.

> > 2. I take it this is targeted for fc6?
> > dbus-glib-devel doesn't exist in fc5.
> This should work in fc5 too. What is the package owning
> /usr/lib/pkgconfig/dbus-glib-1.pc
> on fc5?

This is dbus-devel on FC5. So on FC5 BuildRequires should be:
dbus-devel, dbus-glib and others.
Comment 4 Kevin Fenzi 2006-10-03 11:35:38 EDT
In Reply to Comment #2: 

Yeah, those changes sound fine to me. 

In Reply to Comment #3: 

Yeah, I meant to look up what packages they were in fc5, but didn't. 
So yeah, it just will require diffrent BuildRequires for fc5. 

Can this be closed NEXTRELEASE now?
Comment 5 Mamoru TASAKA 2006-10-13 12:55:06 EDT
By the way, where is ivman?
I checked
ftp://download.fedora.redhat.com/pub/fedora/linux/extras/development/SRPMS ,
however there is no ivman?
Comment 6 Patrice Dumas 2006-10-13 13:42:02 EDT
I thought I built it, however it isn't that bad if it isn't
built, since currently there is an issue with config files
in my opinion which could hurt normal users during upgrades.
I submitted the issue upstream but I haven't have a definitive
response which would have allowed me to do a patch.
Comment 7 Kevin Fenzi 2006-11-11 20:47:16 EST
Patrice: Any news on this package? Has upstream responded?
Comment 8 Patrice Dumas 2006-11-12 14:52:35 EST
Not yet. I'll reask some time in the future...
Comment 9 Kevin Fenzi 2006-12-03 18:11:12 EST
Still no word from upstream? Would be good to get this imported and built... 
Comment 10 Patrice Dumas 2006-12-03 19:14:33 EST
I asked again, but no decision yet
Comment 11 Kevin Fenzi 2006-12-30 14:42:47 EST
I see that 0.6.13 was released. Does this address the config file issue you were
Comment 12 Patrice Dumas 2007-01-02 11:40:39 EST
No, it doesn't...
Comment 13 Kevin Fenzi 2007-01-02 12:15:10 EST
ok, so what do we do here? This package has been waiting for around 3 months now. 

What is the config file issue you are waiting on? 
Can it be patched in the fedora package until upstream addresses it?
Comment 14 Patrice Dumas 2007-01-02 12:26:20 EST
(In reply to comment #13)

> What is the config file issue you are waiting on? 

When the user don't have any config file, the default config is put
in his personal directory (in the .ivman subdirectory, if I recall
well). Therefore if there is an update of the default config file
it isn't taken into account for the users. This is fine for power users
using ivman, but not for normal users. And I think ivman may be usefull
for normal users with lightweight desktops.

If this is shipped as is, it won't be possible to change users config
files, although this may be desirable sometime.

> Can it be patched in the fedora package until upstream addresses it?

I don't think it would be wise, it hasn't even been accepted by 
Comment 15 Kevin Fenzi 2007-01-03 19:13:28 EST
Yeah, that does seem suboptimal... Is it enough to keep the package from being
published though? Perhaps you should push this version to devel and keep trying
to get upstream to fix the issue?

Did you ask about this on the upstream mailing list? Sourceforge seems broken
here and I can't view the mailling list archives for this project. 

They do have an issue tracker, perhaps it would be good to file a
bug/enhancement request there?
Comment 16 Patrice Dumas 2007-01-03 19:26:52 EST
I asked on the mailing list. In fact the maintainer isn't very
interested in maintaining ivman anymore, so I think it is better
to wait before building. Moreover I have modified locally what is
in fedora cvs to mount synchronously, and also I have updated to 
0.6.13 (2 patches are upstreamed), but I still would like to wait
for things to settle down upstream.
Comment 17 Kevin Fenzi 2007-02-23 21:43:22 EST
0.6.14 is available now. 

Any further news from upstream? 
Comment 18 Patrice Dumas 2007-02-24 07:12:47 EST
I have updated to 0.6.14 in cvs, but it doesn't solve that issue.

There is a bad new, there could be a license issue. Indeed it is 
possible that the initial author used GPL code and changed it to
QPL. The current maintainer added a double licensing under the 
GPL, but he couldn't reach all the authors...

I had a discussion with the maintainer, he wasn't really happy
with the ivman design, and he doesn't want to maintain ivman
anymore. Finally I did something similar with ivman that I called 

Given the current situation (no system config file, maintainer not 
interested anymore, license issue, I did a replacement) I am willing to 
orphan ivman and never build it...
Comment 19 Kevin Fenzi 2007-02-26 13:44:17 EST
Oh well, such is life. Go ahead and orphan it then... 
remember to follow the procedure at: 

Please close this review request once you are done. 
Comment 20 Patrice Dumas 2007-03-02 08:38:14 EST
When orphaning, is the same procedure to be followed?
I mean the package is not retired, simply orphaned.
Comment 21 Kevin Fenzi 2007-03-02 12:08:24 EST
I would say you should follow the procedure to cvs rm the files, and put a
dead.package file in CVS. That way people will know it's not built. If someone
wants to bring it back they can do so from that state. 

Thats probibly going to have to happen to all the other orphans at some point... 
Comment 22 David Anderson 2007-03-12 11:12:15 EDT
Shame this didn't work out - it's just what I'm looking for! I will have to be 
patient! :-)
Comment 23 Patrice Dumas 2007-03-12 11:29:11 EDT
The package is ready to be taken by another maintainer. I would
even like to be co-maintainer.
Comment 24 Jason Tibbitts 2007-06-05 20:06:08 EDT
Shouldn't this bug be closed in any case?
Comment 25 Kevin Fenzi 2007-06-05 21:45:58 EDT
Yeah, I suppose it should. 

The confusing thing to end users will be that the package is in cvs and
owners.list, but hasn't been built ever. :(

Patrice: I will close this review now, can you use the orphan process on the
package soon unless you find a co-maintainer who will build it? 
Comment 26 Patrice Dumas 2007-06-06 13:36:37 EDT
No comaintainer showed up when I asked on the list. I think the 
best would be to mark it as dead, but orphans policy is not that
clear today and my questions about orphans in a merged world wasn't
properly answered when I asked on the devel list a while back.
So I am waiting a bit for things to settle a bit and doc to 
come up before I complete the orphaning.
Comment 27 Kevin Fenzi 2007-06-06 15:32:43 EDT
I didn't see your post about orphans in the merged world... link?

I think the procedure is the same as it was: 
- cvs rm all the files 
- cvs add a dead.package file. 
- request cvsadmin to set the owner of the package to be orphan. 
Comment 28 Patrice Dumas 2007-06-06 16:50:54 EDT

After that there was somebody else asking and there was some changes
done to the wiki but not all my questions were answered. I am waiting
for someone (or many ones) with a knowledge of what should be done and 
a will to maintain that page (seems like Michael Schwendt did that 
before) to make things more clear before I do something precise, as
long as I don't understand everything as for now. Maybe I will 
restart the issue some day, but I'll let a bit time for things to 
Comment 29 Patrice Dumas 2008-09-18 10:27:36 EDT
(In reply to comment #22)
> Shame this didn't work out - it's just what I'm looking for! I will have to be 
> patient! :-)

I have developped halevt which could replace ivman. Looks like hal is
deprecated in favor of devicekit these days, though.

I should have properly retired and orphaned ivman now.

Note You need to log in before you can comment on or make changes to this bug.